Subject: bug#75886: 31.0.50; read-multiple-choice / read-key and input-decode-map

From: Gerd Möllmann <[email-masked]>
Date: Tue, 04 Feb 2025 15:42:04 +0100

Stefan Monnier <[email-masked]> writes:

>>>> Should read-key be changed to signal quit?
>>> I think this would break the use of `C-g` to exit from the minibuffer.
>> Too bad :-(.
>
> Of course, there's probably some way to fix the breakage, but basically,
> it's a non-trivial change messing with a "delicate" issue (meaning one
> where we currently have an undocumented balance of behaviors accumulated
> over the years, and we're not even aware of it).

Yeah :-/.

>
>> Do you mind if I replace read-event with read-key in
>> read-multiple-choice?
>
> Not at all!

Now done and closing in a minute.

>> Maybe it sticks if I put a prominent comments why.
>
> I suggest you add a test for it as well (ideally in a separate commit so
> `git revert` won't remove the test).

Slick idea, but I "trust" people to not want to drive me mad :-).